List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/weather_anomaly \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/weather_anomaly"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/weather_anomaly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/weather_anomaly",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 6,
"weather_anomaly_type_id": 1,
"weather_scouting_sample_id": 163,
"created_at": "2025-08-24T09:35:12-03:00",
"modified_at": "2025-08-24T09:35:12-03:00",
"deleted_at": null,
"active": true
},
{
"id": 5,
"weather_anomaly_type_id": 2,
"weather_scouting_sample_id": 143,
"created_at": "2025-08-22T09:35:05-03:00",
"modified_at": "2025-08-22T09:35:05-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4,
"weather_anomaly_type_id": 3,
"weather_scouting_sample_id": 129,
"created_at": "2025-08-20T09:35:03-03:00",
"modified_at": "2025-08-20T09:35:03-03:00",
"deleted_at": null,
"active": true
},
{
"id": 3,
"weather_anomaly_type_id": 1,
"weather_scouting_sample_id": 21,
"created_at": "2025-08-12T11:28:18-03:00",
"modified_at": "2025-08-12T11:28:18-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2,
"weather_anomaly_type_id": 1,
"weather_scouting_sample_id": 13,
"created_at": "2025-08-12T11:28:18-03:00",
"modified_at": "2025-08-12T11:28:18-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 2,
"total_items": 6
}{
"error": {
"code": 400,
"message": "Formato de fecha inválido. Se espera Y-m-d\\TH:i:sP ().",
"exception": [
{
"file": "/var/www/html/src/Kodear/ApiBundle/Traits/Audit/V2/AuditTrait.php",
"line": 21,
"function": "checkDateFormat",
"class": "Kodear\\ApiBundle\\Controller\\ThirdParty\\BaseThirdPartyController",
"type": "->",
"args": [
""
]
},
{
"file": "/var/www/html/src/Kodear/ApiBundle/Controller/v3/ThirdParty/WeatherAnomaliesController.php",
"line": 69,
"function": "getAuditFilterDtoFromRequest",
"class": "Kodear\\ApiBundle\\Controller\\ThirdParty\\BaseThirdPartyController",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 151,
"function": "list",
"class": "Kodear\\ApiBundle\\Controller\\v3\\ThirdParty\\WeatherAnomaliesController",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 68,
"function": "handleRaw",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php",
"line": 200,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1,
true
]
},
{
"file": "/var/www/html/web/app_dev.php",
"line": 15,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\Kernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
}
]
}
}Version 3 > IOT > WeatherAnomalies
List
GET
/
api
/
v3
/
third_party
/
weather_anomaly
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
OK
The response is of type object.

